<template>
    <div>
        <div class="form-group">
            <div class="form-title mb-3 mt-3">
                <b>Sending Timing</b>
            </div>
            <div class="schedule-row">
                <div class="label-text">
                    Schedule Campaign
                </div>
                <div class="my-radio">
                    <b-form-group>
                        <b-form-radio-group
                            v-model="selectedScheduleOption"
                            name="radios-stacked"
                            plain
                            stacked
                            button-variant="outline-secondary"
                            size="lg"
                            :options="scheduleOptions"
                            @change="changeScheduleType"
                        />
                    </b-form-group>
                    <div
                        v-show="selectedScheduleOption === true"
                        class="form-group"
                    >
                        <date-picker
                            v-model="data.schedule_datetime"
                            :config="options"
                            name="schedule_datetime"
                            class="form-control date-group"
                            @input="checkChanged('schedule_datetime')"
                        />
                        <b-form-group>
                            <b-form-radio-group
                                v-model="data.use_subscriber_timezone"
                                name="radios-stacked2"
                                plain
                                stacked
                                button-variant="outline-secondary"
                                size="lg"
                                :options="timezoneOptions"
                                @input="checkChanged('use_subscriber_timezone')"
                            />
                        </b-form-group>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import datePicker from "vue-bootstrap-datetimepicker";
import 'pc-bootstrap4-datetimepicker/build/css/bootstrap-datetimepicker.css';
import 'bootstrap/dist/css/bootstrap.css';
import smsCampaign from '../../../mixins/sms/campaigns.service';

export default {
    name: "SmsCampaignSchedule",
    components: {
        datePicker
    },
    mixins: [smsCampaign],
    props: {
        data: {
            type: Object,
            required: true
        },
        oldData: {
            type: Object,
        }
    },
    data() {
        return {
            selectedScheduleOption: false,
            scheduleOptions: [
                {text: 'Schedule now', value: false},
                {text: 'Schedule later', value: true},
            ],
            timezoneOptions: [
                {text: 'Send all at the same time', value: false},
                {text: 'Delivered at the user`s timezone', value: true},
            ],
            schedule_datetime: this.$moment().format('YYYY-MM-DD HH:mm'),
            options: {
                format: 'YYYY-MM-DD HH:mm',
                useCurrent: false,
            },
        }
    },
    methods: {
        changeScheduleType() {
            if(!this.selectedScheduleOption) {
                this.data.use_subscriber_timezone = this.oldData.use_subscriber_timezone
                this.checkChanged('use_subscriber_timezone')
                this.data.schedule_datetime = this.oldData.schedule_datetime
                this.checkChanged('schedule_datetime')
            }
        },
        checkChanged(key) {
            this.$emit('checkChanged', key)
        },
    }
}
</script>

<style scoped lang="scss">

.schedule-row {
    display: flex;
}

.campaigns-title {
    font-size: 28px;
    font-weight: bold;
    @media screen and (max-width: 765px) {
        margin-bottom: 20px;
    }
}

.date-group {
    position: relative;
    max-width: 155px;
    margin-bottom: 25px;

    &:before {
        position: absolute;
        right: 12px;
        top: 9px;
        font-family: 'Font Awesome 5 Free';
        content: "\F107";
        color: #165CCF;
        font-weight: 900;
    }
}

.label-text {
    margin-right: 40px;
}

</style>
